/*
 * ===========================
 * VDK Builder
 * Version 1.2
 * Revision 0.1
 * May 2000
 * ===========================
 *
 * Copyright (C) 1998,1999 Mario Motta
 * Developed by Mario Motta <mmotta@guest.net>
 *
 * Based on VDK Library
 * Copyright (C) 1998, Mario Motta
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 */
#if USE_XDB
#ifndef _vdkb_xtDlg_main_form_h_
#define _vdkb_xtDlg_main_form_h_
#include <vdk/vdk.h>
// Vdkb_xtDlg FORM  CLASS
class Vdkb_xtDlgForm: public VDKForm
{
// gui object declarations
private:
// gui object declarations
	void GUISetup(void);
public:
	Vdkb_xtDlgForm(VDKForm* owner, char* title);
	~Vdkb_xtDlgForm();
	void Setup(void);
 protected:
	bool Changed; // if xdb was changed
	VDKBox*  vbox1;
	VDKBox*  vbox2;
	VDKCustomTree*  dbTree;
	VDKCustomList*  fieldList;
	VDKSeparator*  separator1;
	VDKBox*  hbox3;
	VDKCustomButton*  addTable;
	VDKCustomButton*  removeTable;
	VDKCustomButton*  addIndex;
	VDKCustomButton*  editTable;
	VDKCustomButton*  close;
	VDKStatusbar*  statusbar;
	bool CanClose();
	void LoadTables();
 public:
	DECLARE_SIGNAL_MAP(Vdkb_xtDlgForm);
	bool OncloseClick(VDKObject* sender);
	bool OnaddTableClick(VDKObject* sender);
	bool OnaddIndexClick(VDKObject* sender);
	bool OneditTableClick(VDKObject* sender);
	bool OnSelectNode(VDKObject* sender);
	bool OnUnselectNode(VDKObject* sender);
	bool OnRemoveClick(VDKObject* sender);
/*
declaring signal and events
dynamics tables
*/
DECLARE_SIGNAL_LIST(Vdkb_xtDlgForm);
DECLARE_EVENT_LIST(Vdkb_xtDlgForm);
};
#endif
#endif
